# dcc.abort

Aborts a dcc session

Usage

    dcc.abort [-q] [;dcc_id]

Description

Terminates the Direct Client Connection specified by <dcc_id>.
If <dcc_id> is omitted then the DCC Session associated with the current window is assumed.
If <dcc_id> is not a valid DCC session identifier (or it is omitted and the current window has no associated DCC session) then this function doesn't abort anything and prints a warning unless the -q switch is used.
If <dcc_id> refers to a file transfer then it the transfer is simply terminated. If <dcc_id> refers to a dcc chat then the result is equivalent to closing the related window.
See the dcc module documentation for more information.

Syntax Specification

    dcc.abort [-q] [dcc_id:uint]

Index, Commands

KVIrc 4.2.0.6190 Documentation
Generated by root at Mon Jul 22 18:18:08 2013